Skip to main content

Definitions of Managed Objects for the DS1, E1, DS2, and E2 Interface Types
draft-ietf-atommib-rfc2495bis-06

Revision differences

Document history

Date Rev. By Action
2004-04-20
06 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2004-04-19
06 Amy Vezza IESG state changed to Approved-announcement sent
2004-04-19
06 Amy Vezza IESG has approved the document
2004-04-19
06 Amy Vezza Closed "Approve" ballot
2004-04-16
06 (System) Removed from agenda for telechat - 2004-04-15
2004-04-15
06 Amy Vezza State Changes to Approved-announcement to be sent from IESG Evaluation by Amy Vezza
2004-04-15
06 Alex Zinin [Ballot Position Update] New position, No Objection, has been recorded for Alex Zinin by Alex Zinin
2004-04-15
06 Thomas Narten [Ballot Position Update] New position, No Objection, has been recorded for Thomas Narten by Thomas Narten
2004-04-15
06 Margaret Cullen [Ballot Position Update] New position, No Objection, has been recorded for Margaret Wasserman by Margaret Wasserman
2004-04-15
06 Harald Alvestrand [Ballot comment]
I have looked at the changes section, and found it reasonable (and minor). I did not review the content of the document.
2004-04-15
06 Harald Alvestrand [Ballot Position Update] New position, No Objection, has been recorded for Harald Alvestrand by Harald Alvestrand
2004-04-15
06 Jon Peterson [Ballot Position Update] New position, No Objection, has been recorded for Jon Peterson by Jon Peterson
2004-04-14
06 Allison Mankin
[Ballot comment]
I believe the announcement writeup should give a few highlights of why this
has had a revised Proposed Standard (why did it matter …
[Ballot comment]
I believe the announcement writeup should give a few highlights of why this
has had a revised Proposed Standard (why did it matter to do so?).
2004-04-14
06 Allison Mankin [Ballot Position Update] Position for Allison Mankin has been changed to No Objection from Undefined by Allison Mankin
2004-04-14
06 Allison Mankin [Ballot Position Update] Position for Allison Mankin has been changed to Undefined from No Objection by Allison Mankin
2004-04-14
06 David Kessens [Ballot Position Update] New position, No Objection, has been recorded for David Kessens by David Kessens
2004-04-14
06 Allison Mankin [Ballot Position Update] New position, No Objection, has been recorded for Allison Mankin by Allison Mankin
2004-04-14
06 Bill Fenner [Ballot Position Update] New position, No Objection, has been recorded for Bill Fenner by Bill Fenner
2004-04-13
06 Ted Hardie [Ballot Position Update] New position, No Objection, has been recorded for Ted Hardie by Ted Hardie
2004-04-13
06 Steven Bellovin [Ballot Position Update] New position, No Objection, has been recorded for Steve Bellovin by Steve Bellovin
2004-04-12
06 Russ Housley [Ballot Position Update] New position, No Objection, has been recorded for Russ Housley by Russ Housley
2004-04-08
06 Scott Hollenbeck [Ballot Position Update] New position, No Objection, has been recorded for Scott Hollenbeck by Scott Hollenbeck
2004-04-08
06 Bert Wijnen State Changes to IESG Evaluation from Waiting for AD Go-Ahead by Bert Wijnen
2004-04-08
06 Bert Wijnen No IETF Last Call Comments were received.
2004-04-08
06 Bert Wijnen Status date has been changed to 2004-04-08 from 2004-01-06
2004-04-08
06 Bert Wijnen Placed on agenda for telechat - 2004-04-15 by Bert Wijnen
2004-04-08
06 Bert Wijnen [Ballot Position Update] New position, Yes, has been recorded for Bert Wijnen
2004-04-08
06 Bert Wijnen Ballot has been issued by Bert Wijnen
2004-04-08
06 Bert Wijnen Created "Approve" ballot
2004-04-07
06 (System) State has been changed to Waiting for AD Go-Ahead from In Last Call by system
2004-03-24
06 Amy Vezza Last call sent
2004-03-24
06 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2004-03-24
06 Amy Vezza Last Call was requested by Amy Vezza
2004-03-24
06 Bert Wijnen New revision address issues raised
2004-03-24
06 Bert Wijnen State Changes to Last Call Requested from AD Evaluation::Point Raised - writeup needed by Bert Wijnen
2004-03-24
06 Bert Wijnen Last Call was requested by Bert Wijnen
2004-03-24
06 (System) Ballot writeup text was added
2004-03-24
06 (System) Last call text was added
2004-03-24
06 (System) Ballot approval text was added
2004-03-24
06 Bert Wijnen New revision address issues raised
2004-01-13
06 (System) New version available: draft-ietf-atommib-rfc2495bis-06.txt
2004-01-06
06 Bert Wijnen State Changes to AD Evaluation::Point Raised - writeup needed from AD Evaluation by Bert Wijnen
2004-01-06
06 Bert Wijnen
-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:bwijnen@lucent.com]
Sent: dinsdag 6 januari 2004 17:57
To: orly_n@rad.com; Atommib (E-mail)
Subject: AD review of: draft-ietf-atommib-rfc2495bis-05.txt …
-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:bwijnen@lucent.com]
Sent: dinsdag 6 januari 2004 17:57
To: orly_n@rad.com; Atommib (E-mail)
Subject: AD review of: draft-ietf-atommib-rfc2495bis-05.txt


WG, author(s),

When I run SMICng against it, I get:

  W: f(rfc2495bis.mi2), (42,24) The first revision should match the last
    update for MODULE-IDENTITY ds1

Why is this?

  W: f(rfc2495bis.mi2), (1147,35) Row "dsx1ChanMappingEntry" does not
    have a consistent indexing scheme - index item dsx1Ds1ChannelNumber
    from base row dsx1ConfigEntry is not defined as an index item
  W: f(rfc2495bis.mi2), (2404,11) OBJECT-GROUP "ds1DeprecatedGroup"
    is not used in a MODULE-COMPLIANCE in current module
  W: f(rfc2495bis.mi2), (2462,11) NOTIFICATION-GROUP
    "ds1NearEndOptionalTrapGroup" is not used in a MODULE-COMPLANCE
    in current module

I understand the above 3 already existed in rfc2496 iteself
I can live with it, but I would think we could fix the last 2, can we not?

smilint tells me:

  .DS1-MIB:1776: [5] {} warning: implicit node definition

Same in original RFC2495. No problem.

  .DS1-MIB:2404: [5] {group-unref} warning: deprecated group
    `ds1DeprecatedGroup' is not referenced in this module
  .DS1-MIB:2462: [5] {group-unref} warning: current group
    `ds1NearEndOptionalTrapGroup' is not referenced in this module

See above under SMICng warnings.

This is the information I get when I run smidiff:

Note: .DS1-MIB is the 2495bis version,
      ..ietfDS1-MIB is the original 2495 version

  .DS1-MIB:13 [5] {organization-changed} warning: organization
    of `DS1-MIB' changed
  .DS1-MIB:13 [5] {contact-changed} warning: contact of `DS1-MIB'
    changed
  .DS1-MIB:13 [5] {description-changed} warning: description of
    module identity definition `DS1-MIB' changed
  .DS1-MIB:45 [5] {revision-added} warning: revision
    `2003-10-19 00:00' added
is OK

  .DS1-MIB:42 [5] {revision-added} warning: revision
    `2003-08-17 00:00' added
Mmm... I guess it gets confused here because the
LAST-UPDATE and first REVISION dates differ.

  .DS1-MIB:52 [5] {revision-added} warning: revision
    `1993-01-25 20:28' added
OK

  ..ietfDS1-MIB:13 [6] {previous-definition} info: previous
    definition of `DS1-MIB'
  .DS1-MIB:181 [5] {named-number-added} warning: named number
    `dsx1E1Q50' added to type used in `dsx1LineType'
  .DS1-MIB:181 [5] {named-number-added} warning: named number
    `dsx1E1Q50CRC' added to type used in `dsx1LineType'
  .DS1-MIB:181 [5] {description-changed} warning: description
    of object definition `dsx1LineType' changed
  .DS1-MIB:181 [5] {ref-added} warning: reference added to
    `dsx1LineType'
  ..ietfDS1-MIB:154 [6] {previous-definition} info: previous
    definition of `dsx1LineType'
Seems OK, given recycle at PS.
But should we not change the deprecated COMPLIANCE to exclude the
new additions?

  .DS1-MIB:344 [5] {ref-added} warning: reference added to
    `dsx1CircuitIdentifier'
fine

  .DS1-MIB:474 [5] {named-number-added} warning: named number
    `adaptive' added to type used in `dsx1TransmitClockSource'
  .DS1-MIB:474 [5] {description-changed} warning: description
    of object definition `dsx1TransmitClockSource' changed
  ..ietfDS1-MIB:431 [6] {previous-definition} info: previous
    definition of `dsx1TransmitClockSource'
Seems OK, given we recycle at PS,
But should we not exclude the new values from the deprecated
COMPLIANCE statements?

  .DS1-MIB:602 [5] {description-changed} warning: description
    of object definition `dsx1Ds1ChannelNumber' changed
  ..ietfDS1-MIB:557 [6] {previous-definition} info: previous
    definition of `dsx1Ds1ChannelNumber'
OK, fixes a lower case s to uppercase S

  .DS1-MIB:1236 [5] {description-changed} warning: description
    of object definition `dsx1FarEndValidIntervals' changed
  ..ietfDS1-MIB:1160 [6] {previous-definition} info: previous
    definition of `dsx1FarEndValidIntervals'
Clarification, so OK

  .DS1-MIB:1746 [3] {range-changed} range of type used in
    `dsx1FracIfIndex' changed from `(1..2147483647)'
    to `(0..2147483647)'
Seems to be fixing a bug, namely to get this in sync with dsx1LineIndex.
However, for dsx1LineIndex we use InterfaceIndex. Why don't we do that
here as well?

  .DS1-MIB:633 [5] {node-added} warning: column `dsx1LineMode'
    has been added
  .DS1-MIB:645 [5] {node-added} warning: column
    `dsx1LineBuildOut' has been added
OK since we stay at PS.
But they have been added to an existing Group, which is not allowed
See RFC2578 sect 7.1

  .DS1-MIB:2295 [5] {status-change} warning: legal status change
    from `current' to `deprecated' for `ds1NearEndConfigGroup'
  ..ietfDS1-MIB:1951 [6] {previous-definition} info: previous
    definition of `ds1NearEndConfigGroup'
  .DS1-MIB:2478 [5] {node-added} warning: group
  `ds1NearEndConfigurationGroup' has been added
  .DS1-MIB:1786 [5] {status-change} warning: legal status change
    from `current' to `deprecated' for `ds1Compliance'
  ..ietfDS1-MIB:1705 [6] {previous-definition} info: previous
    definition of `ds1Compliance'
  .DS1-MIB:1880 [5] {status-change} warning: legal status change
    from `current' to `deprecated' for `ds1MibT1PriCompliance'
  ..ietfDS1-MIB:1799 [6] {previous-definition} info: previous
    definition of `ds1MibT1PriCompliance'
  .DS1-MIB:1944 [5] {status-change} warning: legal status change
    from `current' to `deprecated' for `ds1MibE1PriCompliance'
  ..ietfDS1-MIB:1862 [6] {previous-definition} info: previous
    definition of `ds1MibE1PriCompliance'
  .DS1-MIB:2031 [5] {node-added} warning: compliance
    `ds1NCompliance' has been added
  .DS1-MIB:2135 [5] {node-added} warning: compliance
    `ds1MibT1PriNCompliance' has been added
  .DS1-MIB:2211 [5] {node-added} warning: compliance
    `ds1MibE1PriNCompliance' has been added
Seems OK

So the basic question here is: Did anyone check that all changes
made to the existing MIB are withing the rules of SMIv2?

Here is another programmatic check:
$ /bin/checkpage.awk < drafts/draft-ietf-atommib-rfc2495bis-05.txt
Long page at 59
Long line at 491 with 73 chars
Long line at 515 with 75 chars
Long line at 516 with 73 chars
Long line at 518 with 76 chars
Long line at 519 with 77 chars
Long line at 1156 with 76 chars
Long line at 1186 with 78 chars
Long line at 1204 with 78 chars
Long line at 1287 with 73 chars
Long line at 1288 with 73 chars
Long line at 1456 with 74 chars
Long line at 1458 with 75 chars
Long line at 1469 with 74 chars
Long line at 1720 with 78 chars
Long line at 1721 with 75 chars
Long line at 1724 with 76 chars
Long line at 1731 with 76 chars
Long line at 1732 with 74 chars
Long line at 1734 with 76 chars
Long line at 4356 with 77 chars
-: 20 lines longer than 72 characters, max 78
-: 1 pages longer than 58 lines, max 5414 lines

I know RFC editor can (and probably will fix it).

Further I see:
1. header page in abstract it says:
      This document entirely replaces RFC 2495.
  s/entirely replaces/obsoletes/

2. You removed the section: Changes from RFC1406
  I believe that we normally keep them for stds track RFCs, so people
  can quickly see what type of changes were made when the stds track
  doc gets revised.

3. The Revision clause for this revision says:
            REVISION "200308170000Z"
            DESCRIPTION
                  "The RFC yyyy version of this MIB module."
  It should also list the changes made to this revision.

4. Same for the RFC2495 revision clause, it should list the
  changes made when going from 1406 to 2495

5. Reference to RFC1213
        dsx1IfIndex OBJECT-TYPE
              SYNTAX  InterfaceIndex
              MAX-ACCESS  read-only
              STATUS  deprecated
              DESCRIPTION
                    "This value for this object is equal to the value
                    of ifIndex from the Interfaces table of MIB II
                    (RFC 1213)."
  Would it not be better to just reference RFC2863, IF-MIB ?

6. Reference to MIB II in DESCRTIPTION clause of dsx1LineStatusLastChange
  This may better be replaced with reference to current RFC3416.
  That is where current sysUpTime is defined.

7. I think it would behoove us as WG to add to the ackbnowledgeemnt
  section some thanks to  D. Fowler, Editor of RFC2495!
  Maybe even thank the authors/editors of 1406 as well.

Thanks,
Bert
2004-01-06
06 Bert Wijnen State Change Notice email list have been change to , , from
2004-01-06
06 Bert Wijnen State Changes to AD Evaluation from Publication Requested by Bert Wijnen
2004-01-06
06 Bert Wijnen Status date has been changed to 2004-01-06 from
2003-12-02
06 Dinara Suleymanova Draft Added by Dinara Suleymanova
2003-10-22
05 (System) New version available: draft-ietf-atommib-rfc2495bis-05.txt
2003-08-19
04 (System) New version available: draft-ietf-atommib-rfc2495bis-04.txt
2003-07-01
03 (System) New version available: draft-ietf-atommib-rfc2495bis-03.txt
2003-05-06
02 (System) New version available: draft-ietf-atommib-rfc2495bis-02.txt
2002-09-10
01 (System) New version available: draft-ietf-atommib-rfc2495bis-01.txt
2002-01-16
00 (System) New version available: draft-ietf-atommib-rfc2495bis-00.txt